upstream samantha_smith {
    server web:8000 fail_timeout=20;
}

server {
    listen 80;
    server_name samantha_smith;
    error_log  /var/log/nginx/error.log;
    access_log /var/log/nginx/access.log;


  location / {
    add_header Access-Control-Allow-Origin "*";
    proxy_pass http://web:8000;
  }

  location /static {
    alias /static;
    expires 30d;
    add_header Pragma public;
    add_header Cache-Control "public";
  }

  location /media {
    alias /media;
    expires 30d;
    add_header Pragma public;
    add_header Cache-Control "public";
  }
}
